Latest Vulnerabilities Affecting Abledating products